#include<bits/stdc++.h>

using namespace std;

int main(){
    int n,m;
    cin>>n>>m;
    vector<int> a(n),b(n),l(m),r(m),x(m);
    for(int i=0;i<n;i++)
        cin>>a[i]>>b[i];
    for(int i=0;i<m;i++)
        cin>>l[i]>>r[i]>>x[i];
    for(int i=0;i<m;i++)
    {
        int br=0;
        for(int j=r[i]-1;j>=l[i]-1;j--)
        {
            if(b[j]>=x[i]&&a[j]<=x[i])
                br++;
        }
        cout<<br<<endl;
    }
    return 0;
}